=== test/bench/go1/Makefile ===
include $(GOROOT)/src/Make.inc

TARG=go1
GOFILES=\
	dummy.go\

include $(GOROOT)/src/Make.pkg

test:
	echo go1: tests disabled for now TODO
