=== debian/changelog ===
golang-weekly (2012.03.04-1) unstable; urgency=low

  * Imported Upstream version 2012.03.04

 -- Ondřej Surý <ondrej@debian.org>  Fri, 09 Mar 2012 08:20:00 +0100

golang-weekly (2012.02.22-4) unstable; urgency=low

  * Preserve timestamps on source files (Closes: #658421)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 03 Mar 2012 20:37:23 +0100

golang-weekly (2012.02.22-3) unstable; urgency=low

  * Conflict with golang-tools (Closes: #661726)
  * Bump standards to 3.9.3

 -- Ondřej Surý <ondrej@debian.org>  Wed, 29 Feb 2012 20:44:46 +0100

golang-weekly (2012.02.22-2) unstable; urgency=low

  * Check for defined(__FreeBSD_kernel__) as well
  * Add more kFreeBSD patches (Missing symbols SIGFILLSET and AI_MASK)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 29 Feb 2012 16:12:23 +0100

golang-weekly (2012.02.22-1) unstable; urgency=low

  * Imported Upstream version 2012.02.22
  * Add custom version of version.sh
  * Update IPv6 patch to new release
  * Remove patches obsoleted by new build system (this will need more
    checking if everything works as expected)
  * Update lintian-overrides

 -- Ondřej Surý <ondrej@debian.org>  Wed, 29 Feb 2012 11:30:52 +0100
