=== debian/control ===
Source: golang-weekly
Section: devel
Priority: optional
Maintainer: Ondřej Surý <ondrej@debian.org>
Vcs-Browser: http://git.debian.org/?p=pkg-google/golang.git
Vcs-Git: git://git.debian.org/pkg-google/golang.git
Build-Depends: debhelper (>= 7.4.10), bison, ed, mawk | awk, perl
Build-Depends-Indep: po-debconf
Standards-Version: 3.9.3
Homepage: http://golang.org/

Package: golang-weekly-go
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Replaces: golang-weekly-tools
Conflicts: golang-go, golang-weekly-tools, golang-tools
Provides: go-compiler, golang-go, golang-weekly-tools
Description: Experimental Go programming language compiler
 This package provides assembler, compiler and linker for the Go
 programming language.  This is Google's Go implementation of the
 tool chain.
 .
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient.  Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection.  It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 Go is an experiment. We hope adventurous users will give it a try and
 see if they enjoy it. Not every programmer will, but we hope enough
 will find satisfaction in the approach it offers to justify further
 development. The language can (and still does) change between weekly
 releases, check http://golang.org/doc/devel/weekly.html before
 upgrading this package.

Package: golang-weekly-src
Conflicts: golang-src
Provides: golang-src
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, golang-weekly-go
Description: Go programming language compiler (.go source files)
 This package provides the source files for the Go programming
 language needed for godoc and goinstall.
 .
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient.  Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection.  It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 Go is an experiment. We hope adventurous users will give it a try and
 see if they enjoy it. Not every programmer will, but we hope enough
 will find satisfaction in the approach it offers to justify further
 development. The language can (and still does) change between weekly
 releases, check http://golang.org/doc/devel/weekly.html before
 upgrading this package.

Package: golang-weekly-doc
Conflicts: golang-doc
Provides: golang-doc
Architecture: all
Depends: ${misc:Depends}, golang-weekly-go
Section: doc
Description: Documentation for Google's Go programming language
 This package provides the documentation for the Go programming
 language.
 .
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient.  Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection.  It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 You can view a nicely formatted documentation by running godoc
 --http=:6060 and then visiting http://localhost:6060/doc/install.html.
 .
 Go is an experiment. We hope adventurous users will give it a try and
 see if they enjoy it. Not every programmer will, but we hope enough
 will find satisfaction in the approach it offers to justify further
 development. The language can (and still does) change between weekly
 releases, check http://golang.org/doc/devel/weekly.html before
 upgrading this package.

Package: golang-weekly-dbg
Conflicts: golang-dbg
Provides: golang-dbg
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 armel armhf
Depends: ${misc:Depends}, golang-weekly-go (= ${binary:Version})
Recommends: gdb
Section: debug
Priority: extra
Description: Go programming language tool chain [debug]
 This package provides the debug symbols for Google's Go tool
 chain binaries (assembler, compiler, linker) needed for properly
 debugging errors in the tool chain with gdb.
 .
 This package uses the weekly snapshot releases, for more information see:
 http://golang.org/doc/devel/weekly.html

Package: golang-weekly
Depends: ${misc:Depends},
	 golang-weekly-go (>= ${source:Version}),
	 golang-weekly-src (>= ${source:Version}),
	 golang-weekly-doc (>= ${source:Version})
Architecture: all
Description: Experimental Go programming language [meta package]
 This package is a metapackage that, when installed, guarantees
 that (almost) full Go development environment is installed.
 .
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient.  Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection.  It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 Go is an experiment. We hope adventurous users will give it a try and
 see if they enjoy it. Not every programmer will, but we hope enough
 will find satisfaction in the approach it offers to justify further
 development. The language can (and still does) change between weekly
 releases, check http://golang.org/doc/devel/weekly.html before
 upgrading this package.
